### Method

# Gtk PrintSettingsset_page_ranges

#### Declaration [src]

    void
    gtk_print_settings_set_page_ranges (
      GtkPrintSettings* settings,
      GtkPageRange* page_ranges,
      int num_ranges
    )

#### Description [src]

Sets the value of `GTK_PRINT_SETTINGS_PAGE_RANGES`.

#### Parameters

`page_ranges`

  Type: An array of `GtkPageRange`

  An array of `GtkPageRange`s.

  The length of the array is specified in the `num_ranges` argument.
  The data is owned by the caller of the method.

`num_ranges`

  Type: `int`

  The length of `page_ranges`.